function [ beam ] = compute_beam( problem, constitutive )

%Assemble global beam stiffness matrix
[ beam.K, beam.M ] = FRANS_Assemble( problem.frans, constitutive.Ks, constitutive.Ms );

%Build load vector
[ beam.p ] = FRANS_BuildLoad( problem.frans );

%Enforce boundary conditions
[ beam.K, beam.p ] = FRANS_Enforce(beam.K, beam.p, problem.frans);
[ beam.eigK, beam.eigM ] = FRANS_EigenEnforce( beam.K, beam.M, problem.frans );

%Gradients of element stiffness and mass matrix
[ beam.da, beam.dt, beam.de ] = compute_gradient_KeAndMe( problem, constitutive );

end