function [ solution ] = compute_beam_solution( problem, beam, constitutive )

%Solve static equilibrium equations
[ solution.u ] = FRANS_SolveStatic( beam.K, beam.p );

%Recover cross section forces and moments
%Flapwise load case
[ solution.f(:,:,1) ]=FRANS_RecoverForcesAndMomentsAtReferencePoint(constitutive.Ks,constitutive.Ms,solution.u(:,1),problem.frans);
%Edgewise load case
[ solution.f(:,:,2) ]=FRANS_RecoverForcesAndMomentsAtReferencePoint(constitutive.Ks,constitutive.Ms,solution.u(:,2),problem.frans);

%Solve eigenvalue problem
[ solution.eigfreq, solution.eigvec ] = FRANS_SolveModal( beam.eigK, beam.eigM );

end


