function [ w, dw ] = compute_frequency( problem, beam, solution )
% Aux
N = problem.info.num_sec;
edof = problem.frans.edof_1d;
ifreq = 1:length(problem.constraints.max_freq);

%Frequency
w = solution.eigfreq(ifreq); % w=omega^2 in [ (rad/s)^2 ]

%Gradient frequency
%Note that just like in the tip displacement gradient the frequency
%gradients are calculated in an elementwise fashion using dKedx and dMedk
%instead of dKdx and dMdx.
vec = solution.eigvec(:,ifreq); %Mass normalized eigenvector, a requirement for the expression of the gradient to hold. Look at FRANS_SolveModal to see what we are doing.
dw.da=zeros(N,length(ifreq));
dw.dt=zeros(N,length(ifreq));
dw.de=zeros(N,length(ifreq));

% ============================================================
% == CODE MISSING                                           ==
% == Compute dw.da, dw.dt and dw.de.                        ==
% == You can use a loop over the eigenfrequencies (iqfreq)  ==
% == inside which you can loop over the N elements          ==
% ============================================================



% ============================================================

end