function stop = outfun(x,optimValues,state)

stop = false;

global problem;

%% Design variables
N = problem.info.num_sec;
design_dimless = [];  % convert the dimensionless values in x into a structure
design_dimless.a = x(1:N);
design_dimless.t = x(N+1:2*N);
design_dimless.e = x(2*N+1:end);
design = scale2physical(design_dimless, problem.scaling); % scale to physical values

%% Mass
m = optimValues.fval * problem.scaling.char_m;

%% Iteration
iteration = optimValues.iteration;

%% First-order optimality
firstorderopt = optimValues.firstorderopt;

%% Plot if field saved_solution exists
if isfield(problem.info,'saved_solution') && problem.options.plotting.activate
    solution = problem.info.saved_solution;
    solution.m = m;
    solution.iteration = iteration;
    solution.firstorderopt = firstorderopt;
    plot_solution( problem, design, solution, '-r.', 1 )
end

end

