function print_solution( solution, label )
%Print a summary of the solution to the screen.
%   'label' can be 'initial solution', 'final solution', or similar.
%   Written by
%   Jos P. Blasques (jpbl@dtu.dk) and Robert D. Bitsche (robi@dtu.dk)
%   DTU Wind Energy

maxstrain = max(solution.strain);

fprintf('**************************\n');
fprintf('%s:\n', label);
fprintf('Mass: %g\n', solution.m);
fprintf('Tip displacement: %g\n', solution.tip_disp);
fprintf('Largest strain loadcase 1: %g\n', maxstrain(1));
fprintf('Largest strain loadcase 2: %g\n', maxstrain(2));
fprintf('Largest buckling factor: %g\n', max(solution.eta));
fprintf('1st eigenfrequency: %g\n', solution.freq(1));
fprintf('2nd eigenfrequency: %g\n', solution.freq(2));
fprintf('**************************\n');

end

