function update_foo_plot( problem, x, y, LineSpec )
%Update the first-order optimality plot
%   Written by Senior Scientist Robert Bitsche (robi@dtu.dk)
%   DTU Wind Energy

% Get the right current figure
axes_handle = problem.options.plotting.axes.firstorderopt;
fig = axes_handle.Parent;
set(0, 'currentfigure', fig);
set(fig,'CurrentAxes',axes_handle);
existing_lines = flip(axes_handle.Children);

if isempty(existing_lines)
    semilogy(x,y,LineSpec);
    title('First-order Optimality'); grid on;
    xlabel('Iteration'); ylabel('First-order optimality');
else
    existing_lines(end).XData = [existing_lines(end).XData x];
    existing_lines(end).YData = [existing_lines(end).YData y];
end