function update_plot( axes_handle, x, y, LineSpec, update )
%Plot or update an x,y-plot
%  update = 0: Plot a new line
%  update = 1: Update the most recently plotted line
%   Written by Senior Scientist Robert Bitsche (robi@dtu.dk)
%   DTU Wind Energy

% Get the right current figure
fig = axes_handle.Parent;
set(0, 'currentfigure', fig);
set(fig,'CurrentAxes',axes_handle);
existing_lines = flip(axes_handle.Children);

% Plot or update plot
if update
    existing_lines(end).YData = y;
else
    plot(x, y, LineSpec);
end

end